.\"	$NetBSD: dz.4,v 1.7 1999/12/15 23:44:55 abs Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dz.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DZ 4 vax
.Os
.Sh NAME
.Nm dz
.Nd
.Tn DZ-11
serial multiplexer device interface
.Sh SYNOPSIS
.Cd "dz0 at uba0 csr 0160100 vector dzrint dzxint"
.Sh DESCRIPTION
A
.Tn DZ-11
provides 8 communication lines with partial modem control,
adequate for
.Ux
dialup use.
.Pp
An optional argument
.Ar flags
may be supplied with the device specification
in the config file indicating
that the line corresponding to
bit number
.Ar i
is not properly
connected, and should be treated as hard-wired with carrier
always present.  Thus specifying
.Ql flags 0x04
for
.Li dz0
would cause line
.Pa tty02
to be treated in this way.
.Pp
Normal I/O
control parameters for individual lines are managed by
.Xr ioctl 2
calls.
Line speeds may be initiated via
the
.Xr ttys 5
file,
.Xr stty 1
or
.Xr ifconfig 8
to name a few,
see
.Xr tty 4 .
.Pp
The
.Nm dz
driver monitors the rate of input on each board,
and switches between the use of character-at-a-time interrupts
and input silos.
While the silo is enabled during periods of high-speed input,
the driver polls for input 30 times per second.
.Sh FILES
.Bl -tag -width /dev/tty[0-9][0-9]xx -compact
.It Pa /dev/tty[0-9][0-9]
.It Pa /dev/ttyd[0-9a-f]
dialups
.El
.Sh DIAGNOSTICS
.Bl -diag
.It dz%d: silo overflow .
The 64 character input silo overflowed
before it could be serviced.  This can happen if a hard error occurs
when the
.Tn CPU
is running with elevated priority, as the system will
then print a message on the console with interrupts disabled.
It is not serious.
.El
.Sh SEE ALSO
.Xr stty 1 ,
.Xr tty 4 ,
.Xr ttys 5 ,
.Xr getty 8
.Sh HISTORY
A
.Nm
driver appeared in
.At 32v .
